View Issue Details

IDProjectCategoryView StatusLast Update
0018090LazarusOtherpublic2011-12-01 11:25
ReporterMartin FriebeAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0018090: SynEdit: find a way to prevent painting during paintlock
DescriptionBeginUndoBlock requires Paintlock,

SourceEditor must call this before showing (for example Ctrl+Shift+D TSourceEditor.ConditionalSelection)

Consequence, SynEdit must paint during PaintLock

Paintlock should only apply to Begin/End-Update. not to undoblock
TagsNo tags attached.
Fixed in Revision28608
LazTarget1.0
Widgetset
Attached Files

Relationships

related to 0018105 closedMartin Friebe SynEdit crash while trying to open a specific project session 

Activities

Mattias Gaertner

2010-11-28 15:55

manager   ~0043656

Martin, IMO "insert conditional" should not modify synedit if the user clicks cancel. No change of cursor or selection.

Issue History

Date Modified Username Field Change
2010-11-28 14:51 Martin Friebe New Issue
2010-11-28 14:51 Martin Friebe LazTarget => -
2010-11-28 14:51 Martin Friebe Status new => assigned
2010-11-28 14:51 Martin Friebe Assigned To => Martin Friebe
2010-11-28 14:52 Martin Friebe LazTarget - => 1.0
2010-11-28 15:55 Mattias Gaertner Note Added: 0043656
2010-11-30 00:47 Martin Friebe Relationship added related to 0018105
2010-12-03 14:42 Martin Friebe Fixed in Revision => 28608
2010-12-03 14:42 Martin Friebe Status assigned => resolved
2010-12-03 14:42 Martin Friebe Fixed in Version => 0.9.29 (SVN)
2010-12-03 14:42 Martin Friebe Resolution open => fixed
2010-12-03 14:42 Martin Friebe Target Version => 0.9.30
2011-12-01 11:25 Marc Weustink Status resolved => closed